Method: customers.reports.findSaasUsageBrowsers

Find SaaS usage reports of a customer grouped by browsers based on the given search and sorting criteria.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findSaasUsageBrowsers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customer

string

Required. Obfuscated customer ID prefixed with "customers/C" or "customers/my_customer".

Query parameters

Parameters
app

string

Required. The name of the SaaS application (e.g., ChatGPT, Gemini).

pageSize

integer

Optional. The maximum number of browsers to return. The service may return fewer than this value. If unspecified, at most 100 browsers will be returned. The maximum value is 200; values above 200 will be coerced to 200.

pageToken

string

Optional. A page token, received from a previous reports.findSaasUsageBrowsers call. Provide this to retrieve the subsequent page.

filter

string

Optional. The filter expression to narrow down the SaaS browser reports to return. Supported operators are: =, !=, <, <=, >, >=, :. Logical operators AND, OR, and NOT are supported.

Supported fields:

  • machine
  • osPlatform
  • firstNavigationTime
  • lastNavigationTime
  • orgUnitId
orderBy

string

Optional. The order by expression to sort the SaaS browser reports.

Supported fields:

  • machine
  • osPlatform
  • firstNavigationTime
  • lastNavigationTime

Default order is ascending. To specify descending order for a field, append " desc".

Request body

The request body must be empty.

Response body

Response to reports.findSaasUsageBrowsers method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "saasUsageBrowsers": [
    {
      object (SaasUsageBrowser)
    }
  ],
  "nextPageToken": string,
  "totalSize": string
}
Fields
saasUsageBrowsers[]

object (SaasUsageBrowser)

The list of SaaS usage browser reports.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page.

totalSize

string (int64 format)

Total number of SaaS usage browser reports that match the request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chrome.management.reports.readonly

SaasUsageBrowser

Details of a SaaS usage browser.

JSON representation
{
  "machine": string,
  "devicePermanentId": string,
  "firstNavigationTime": string,
  "lastNavigationTime": string,
  "orgUnitId": string,
  "osPlatform": enum (DeviceSystem),
  "osVersion": string
}
Fields
machine

string

Output only. The machine name.

devicePermanentId

string

Output only. The device permanent ID.

firstNavigationTime

string (Timestamp format)

Output only. The timestamp when the application was first navigated to by this browser.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

lastNavigationTime

string (Timestamp format)

Output only. The timestamp when the application was last navigated to by this browser.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

orgUnitId

string

Output only. The ID of the organizational unit.

osPlatform

enum (DeviceSystem)

Output only. The OS platform.

osVersion

string

Output only. The OS version.